Skip to main content
POST
/
v1
/
installs
/
{installSid}
/
users
Create User
curl --request POST \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/users \
  --header 'Content-Type: application/json' \
  --header 'token: <api-key>' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "preferredEmail": "<string>",
  "homePhone": "<string>",
  "mobilePhone": "<string>",
  "currencyCode": "<string>",
  "timeZoneSid": "<string>",
  "latitude": 123,
  "longitude": 123,
  "username": "<string>",
  "password": "<string>",
  "enabled": true,
  "lmsId": "<string>",
  "sisId": "<string>",
  "exernalId": "<string>"
}
'
{
  "sid": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "preferredEmail": "<string>",
  "username": "<string>",
  "smarterIdEnrollmentSid": "<string>",
  "mobilePhone": "<string>",
  "homePhone": "<string>",
  "address": "<string>",
  "lmsId": "<string>",
  "apiId": "<string>",
  "sisId": "<string>",
  "externalId": "<string>",
  "latitude": 123,
  "longitude": 123,
  "lastEnrollmentSync": "<string>",
  "currencyCode": "<string>",
  "timeZoneSid": "<string>",
  "timezone": {},
  "maxTravelDistance": 123,
  "maxTravelDistanceUnits": "<string>",
  "createdDate": "<string>",
  "editDate": "<string>",
  "freshdeskUserId": "<string>",
  "role": "<string>",
  "enabled": true,
  "authentication": {},
  "smarterId": {},
  "course": {},
  "exam": {},
  "identity": {}
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$

Body

application/json
firstName
string
required

First Name

lastName
string
required

Last Name

email
string
required

Email

preferredEmail
string

Preferred Email

homePhone
string | null

Home Phone

mobilePhone
string | null

Mobile Phone

currencyCode
string

Currency code

timeZoneSid
string

Time Zone Sid

Pattern: ^TZ[a-f0-9]{32}$
latitude
number | null

Location Latitude

longitude
number | null

Location Longitude

username
string

Username for user

password
string

Password for user

Pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[#$@!%&*?])[A-Za-z\d#$@!%&*?]{8,30}$
enabled
boolean

If login as this user is enabled

lmsId
string | null

The id for the user as defined in the LMS as defined in the LTI launch.

sisId
string | null

The id for the user as defined in the SIS.

exernalId
string | null

The id for the user as defined in any external system for tracking.

Response

200 - application/json

Successful

sid
string | null

User SID

firstName
string | null

First name

lastName
string | null

Last name

email
string | null

Email

preferredEmail
string | null

Preferred email

username
string | null

Username

smarterIdEnrollmentSid
string | null

SmarterID enrollment SID

mobilePhone
string | null

Mobile phone

homePhone
string | null

Home phone

address
string | null

Address

lmsId
string | null

LMS ID

apiId
string | null

API ID

sisId
string | null

SIS ID

externalId
string | null

External ID

latitude
number | null

Latitude

longitude
number | null

Longitude

lastEnrollmentSync
string | null

Last enrollment sync

currencyCode
string | null

Currency code

timeZoneSid
string | null

Time zone SID

timezone
object

Timezone details

maxTravelDistance
number | null

Max travel distance

maxTravelDistanceUnits
string | null

Max travel distance units

createdDate
string | null

Created date

editDate
string | null

Edit date

freshdeskUserId
string | null

Freshdesk user ID

role
string | null

Role

enabled
boolean | null

Enabled

authentication
object

Authentication data

smarterId
object

SmarterID data

course
object

Course

exam
object

Exam

identity
object

Identity